Bug 170165 - Review Request: nautilus-sendto
Review Request: nautilus-sendto
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
http://www.es.gnome.org/~telemaco/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-07 17:02 EDT by Paul W. Frields
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-14 07:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2005-10-07 17:02:20 EDT
Spec Name or Url: http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto.spec
SRPM Name or Url: http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto-0.4-1.src.rpm

Description: 

The nautilus-sendto package provides a Nautilus context menu for sending files via other desktop applications.  These functions are implemented as plugins, so nautilus-sendto can be extended with additional features.

--- 
The source RPM provides plugins for Evolution and GAIM under FC4, and adds Bluetooth support in FC5.
Comment 1 Paul W. Frields 2005-10-07 18:13:09 EDT
BuildRequires updates made.  Updated specfile and SRPM:

Spec: http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto.spec
SRPM:
http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto-0.4-2.src.rpm

Builds in mock without error, rpmlint gives only warnings for missing docs in
subpackages (expected and probably irrelevant).
Comment 2 Brian Pepple 2005-10-07 20:47:37 EDT
Once the bad item is fixed:  PUBLISH +1

MD5Sums:
2b8bff75d6cda7b1648d59dde6e4e3b2  nautilus-sendto-0.4.tar.bz2

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* No deprecated fields used
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Rpmlint does not find problems
* Package installs and uninstalls cleanly on FC4.
* Software runs fine.  Note: Didn't test bluetooth plugin.

Bad:
* Should the evolution plugin be in a seperate package?  Without
  one of the plugins install, nautilus-sendto just crashes when
  called.  Personally, I would add the evolution plugin to the 
  main package, and leave the gaim & bluetooth seperate.  Or you
  could have the nautilus-sendto package be dependent on something
  like nautilus-sendto-plugins which would be provided by the
  installed plugins.

Minor:
* Group tag should probably be System Environment/Shells, this is what
  the other nautilus plugins (search, image resize) in Extras are.
Comment 3 Christoph Wickert 2005-10-07 21:20:11 EDT
(In reply to comment #2)
> * Software runs fine.  Note: Didn't test bluetooth plugin.

Bluetooth builds and works fine here (FC4 with backported gnome-bluetooth from
rawhide)
Comment 4 Brian Pepple 2005-10-07 21:50:34 EDT
(In reply to comment #2)

Almost forgot, you should probably move the BR for the plugins into the
appropriate sections.  For example, if you decide to keep the evolution plugin
separate, you should move the BR requirement for evolution-data-server-devel to
evolution package section, and drop the Requires for Evolution since it's
pulled in automatically.
Comment 5 Brian Pepple 2005-10-07 22:03:21 EDT
(In reply to comment #2)

Yeesh, forgot to also mention the your Requires: %{name} = %{version} in the
plugins, should probably be Requires: %{name} = %{version}-%{release}.
Comment 6 Paul W. Frields 2005-10-08 14:46:49 EDT
OK, WRT comment #2, I went with the former suggestion to fix the "Bad" problem.
  I agree with you that it makes the most sense to bundle the Evolution plugin,
since most people will have it installed anyway if they're using Nautilus.

As for the "Minor" issue, note that Core's nautilus package itself, as well as
nautilus-cd-burner, are found in group "User Interface/Desktops."  This is also
the same group I used back in July for nautilus-open-terminal, for those
reasons.  I would argue that the "SE/Shells" group is not really appropriate for
interface plugins tacked on at such a high level above the standard CLI,
especially if Core isn't using that group for related packages.

In any case, your timely review is very much appreciated!  Updated packages are
available at:

Spec Name or Url:
http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto.spec
SRPM Name or Url:
http://rpm.frields.org/extras-testing/nautilus-sendto/nautilus-sendto-0.4-3.src.rpm

Comment 7 Brian Pepple 2005-10-08 17:12:17 EDT
Publish +1, main review in comment #2

You can probably drop the Requires: gnome-bluetooth, since it should be
pulled by the BR.
Comment 8 Rahul Sundaram 2005-10-12 20:40:52 EDT
(In reply to comment #6)
> OK, WRT comment #2, I went with the former suggestion to fix the "Bad" problem.
>   I agree with you that it makes the most sense to bundle the Evolution plugin,
> since most people will have it installed anyway if they're using Nautilus.
> 
Does that mean that installing this add on with pull in nautilus. If so that
might not be acceptable.  The assumption that all users using nautilus also
would want to have Evolution installed in their system seems bogus to me
Comment 9 Paul W. Frields 2005-10-13 07:29:51 EDT
Check the package; the plugin requires libedataserver-1.2.so.4 and
libebook-1.2.so.3, provided by evolution-data-server.  Since that package is
also required by gnome-panel, it's a fair guess that most nautilus users will
have that installed.  Evolution is not required.

Note You need to log in before you can comment on or make changes to this bug.